Swift 3d para 3dsmax 7

Hola gente, tengo la versión compatible de Swift3d para max 7, pero cuando intento instalarla me dice que tururú. Me aparece una ventana dándome un mensaje de error en una ventana. Podéis ver una captura en la imagen adjunta. Al parecer es un problema con el install shield.

Bueno, el caso es que, sigo las instrucciones al pie de la letra en la ayuda oficial de install shield (pulsa aquí para ver la ayuda de installshield), donde me pide que mire la versión del instalador que Swift 3d necesita, pero en las propiedades del instalador no aparece por ningún lado ese dato. Así que instalo todas las versiones posibles, probando con cada una por separado y a tendiendo a todas las posibles soluciones que me ofrece la web de ayuda de install shield, pero la ventana con el mismo error, siempre sale y no me deja instalar Swift3d. Mi versión de installshield update manager es la 3.0.
¿Alguien puede ayudarme? Gracias adelantadas y un saludo.